/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function deviceItems(
  params,
  options,
) {
  return request('/admin/device/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function deviceSetinfo(
  body,
  options,
) {
  return request('/admin/device/setinfo', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function deviceOutgroup(
  params,
  options,
) {
  return request('/admin/device/outgroup', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function deviceGetparam(
  params,
  options,
) {
  return request('/admin/device/getparam', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function deviceIngroup(
  body,
  options,
) {
  return request('/admin/device/ingroup', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function deviceCreate(
  body,
  options,
) {
  return request('/admin/device/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function deviceUpdate(
  body,
  options,
) {
  return request('/admin/device/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function deviceDelete(
  body,
  options,
) {
  return request('/admin/device/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function deviceItem(
  params,
  options,
) {
  return request('/admin/device/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}


export async function device_profit(
  body,
  options,
) {
  return request('/admin/device_profit/items', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}


